Skip to main content
GET
/
payment-batches
/
{paymentBatchId}
/
payments
cURL
curl --request GET \
  --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments?accountId={{accountId}}' \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "string",
      "paymentBatchId": "1bce4e75-abe0-4ebf-b151-fbdb0b7d5ed9",
      "orderId": "string",
      "status": "created",
      "amount": "string",
      "fundingBudgetId": "6ee672f6-226f-4a72-8592-0f8dc5284ab1",
      "purposeCode": "string",
      "purpose": "string",
      "reference": "Invoice INV-12345 for Q1 consulting services",
      "currencyCode": "USD",
      "riskCheckedAt": "2019-08-24T14:15:22Z",
      "fees": "string",
      "charges": "SHA",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "inputIndex": 0,
      "externalId": "cust-ref-9f3b",
      "recipient": {
        "id": "string",
        "defaultReference": "string",
        "type": "individual",
        "name": "string",
        "displayName": "string",
        "subscribedEmails": [
          {
            "name": "string",
            "email": "user@example.com"
          }
        ],
        "accountIdentifier": "string",
        "bankIdentifier": "string",
        "secondaryBankIdentifier": "string",
        "intermediaryBankIdentifier": "string",
        "paymentNetwork": "SWIFT",
        "address": {
          "addressType": "ADDR",
          "streetName": "string",
          "buildingNumber": "string",
          "buildingName": "string",
          "postcode": "string",
          "city": "string",
          "region": "string",
          "countryCode": "GB"
        },
        "bankAddress": {
          "bankName": "string",
          "branch": "string",
          "buildingName": "string",
          "buildingNumber": "string",
          "streetName": "string",
          "city": "string",
          "region": "string",
          "postcode": "string",
          "countryCode": "GB"
        },
        "validation": {
          "nameMatch": true,
          "reason": "string",
          "reasonCode": "N000",
          "actualName": "string"
        }
      },
      "alerts": [
        {
          "inputIndex": 0,
          "timestamp": "2019-08-24T14:15:22Z",
          "type": "Error",
          "code": "string",
          "message": "string"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

paymentBatchId
string<uuid>
required

The unique ID of the Payment Batch.

Maximum string length: 36

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

sort
enum<string>
default:desc

Determines whether the page of items are sorted in ascending or descending order.

Available options:
asc,
desc
offset
integer
default:0

The number of items to skip before returning results.

Example:

100

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

statuses
enum<string>
Available options:
created,
validated,
confirmed,
started,
completed,
failed
include
enum<string>
Available options:
alertErrors,
alertWarnings
orderIds
budgetIds
currencies
enum<string>
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GGP,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SEK,
SGD,
SHN,
SLL,
SOS,
SRD,
SSP,
STN,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMK,
ZMW,
ZWD

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required

Array of all matching payment batch payments.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100